Skip to main content
AI

Create Video Task

Endpoint

POST /v1/video/generations

Header Parameters

NameTypeRequiredDescriptionExample
AuthorizationstringNoBearer {your_token}

Request Body Parameters

FieldTypeRequiredTitleDescription
modelstringYesModel namekling-v3-std-silent, kling-v3-std-audio, kling-v3-pro-silent, kling-v3-pro-audio
promptstringYespromptmode and extra_body.multi_prompt pass both
imagestringYesreference URLpass for image-to-video, pass/text-to-video (: last_image, Yes)
last_imagestringYesURL
aspect_ratiostringYesRatioallowed values:16:9, 9:16, 1:1, (: image-to-videomode, video)
durationstringYesvideo ()allowed values:3 15
extra_bodyobjectYes

Request Examples

text-to-video

{
"model": "kling-v3-std-silent",
"prompt": " camera, Yes, camera, action. ",
"aspect_ratio": "16:9",
"duration": 5,
"extra_body": {
"cfg_scale": 0.5,
"shot_type": "customize",
"negative_prompt": "blur, "
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "kling-v3-std-silent",
"prompt": " camera, Yes, camera, action. ",
"aspect_ratio": "16:9",
"duration": 5,
"extra_body": {"cfg_scale": 0.5,
"shot_type": "customize",
"negative_prompt": "blur, "}}'

image-to-video

{
"model": "kling-v3-pro-audio",
"prompt": ", action, and. ",
"image": "https://example.com/start-frame.png",
"aspect_ratio": "16:9",
"duration": 6,
"extra_body": {
"cfg_scale": 0.6,
"shot_type": "intelligent",
"negative_prompt": "artifacts, "
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "kling-v3-pro-audio",
"prompt": ", action, and. ",
"image": "https://example.com/start-frame.png",
"aspect_ratio": "16:9",
"duration": 6,
"extra_body": {"cfg_scale": 0.6,
"shot_type": "intelligent",
"negative_prompt": "artifacts, "}}'

first-and-last-frameimage-to-video

{
"model": "kling-v3-pro-silent",
"prompt": " camera, keep identity stable, natural motion. ",
"image": "https://example.com/first-frame.png",
"last_image": "https://example.com/last-frame.png",
"duration": 8,
"extra_body": {
"cfg_scale": 0.5,
"shot_type": "customize"
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "kling-v3-pro-silent",
"prompt": " camera, keep identity stable, natural motion. ",
"image": "https://example.com/first-frame.png",
"last_image": "https://example.com/last-frame.png",
"duration": 8,
"extra_body": {"cfg_scale": 0.5,
"shot_type": "customize"}}'

Use multi_prompt image-to-video

{
"model": "kling-v3-std-audio",
"image": "https://example.com/source-image.png",
"duration": 10,
"extra_body": {
"multi_prompt": [
{
"prompt": "camera. "
},
{
"prompt": " camera. "
}
],
"shot_type": "customize"
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "kling-v3-std-audio",
"image": "https://example.com/source-image.png",
"duration": 10,
"extra_body": {"multi_prompt": [{"prompt": "camera. "},
{"prompt": " camera. "}],
"shot_type": "customize"}}'

Response Fields

FieldTypeRequiredTitleDescription

Response Examples

Example 1

{}